> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform Smart Search



## OpenAPI

````yaml openapi/zh/search.json GET /apis/v1/search/smart
openapi: 3.1.0
info:
  description: ''
  title: Search
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/search/full
    - /apis/v1/search/smart
  x-aisa-document:
    facts_hash: 14646fd873890a462cb0961cb8cf2df0906d3b2a4a335c73085c877abf50837d
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:5130fe760d9136dfdebb2b7f9f336d8a1934defcc9c61a0515087ce1e64d057b
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: search
  x-aisa-catalogs:
    search:
      title: Search
      description: ''
      x-aisa-document:
        facts_hash: 14646fd873890a462cb0961cb8cf2df0906d3b2a4a335c73085c877abf50837d
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/search/smart:
    get:
      tags:
        - search
      summary: Perform Smart Search
      operationId: any_search_apis_v1_search_smart
      parameters:
        - name: Pragma
          in: header
          required: false
          description: >-
            Input value: no-cache. When no-cache is provided, the response
            results will not be cached and each request is independent; if not
            provided, the response results for the same query term will be
            cached for 10 minutes
          schema:
            type: string
        - name: blockWebsites
          in: query
          required: false
          description: >-
            The value must be in host address format (e.g.,
            baijiahao.baidu.com). Excludes results from the specified site(s).
          schema:
            type: string
        - name: contentTimeout
          in: query
          required: false
          description: >-
            Timeout for reading long abstracts. If reading exceeds this time, it
            will terminate and no long abstract will be returned for that
            result. Defaults to 0 (seconds), maximum 10s.
          schema:
            type: number
            default: 0
            maximum: 10
        - name: contentType
          in: query
          required: false
          description: >-
            The format of the long abstract (content) to return. Options:：-
            HTML- MARKDOWN- TEXT(default)
          schema:
            type: string
            enum:
              - HTML
              - MARKDOWN
              - TEXT
            default: TEXT
        - name: count
          in: query
          required: false
          description: >-
            The number of search results to return. Defaults to 10, maximum 50.
            Enumerated values: 10 / 20 / 30 / 40 / 50 The actual number returned
            may be less than requested. Use this parameter with the offset
            parameter for pagination.
          schema:
            type: integer
            default: 10
            maximum: 50
            enum:
              - 10
              - 20
              - 30
              - 40
              - 50
        - name: enableContent
          in: query
          required: false
          description: >-
            ontrols whether to return long abstract content: -true: Return long
            abstracts -false: Do not return long abstracts Defaults to false
          schema:
            type: boolean
            default: false
        - name: freshness
          in: query
          required: false
          description: >-
            Filter search results by time range: - Day (past 24 hours) -Week
            (past 7 days) - Month (past 30 days)
          schema:
            type: string
            enum:
              - Day
              - Week
              - Month
        - name: mainText
          in: query
          required: false
          description: >-
            Controls whether to return key fragments of dynamic abstracts:true：
            Return key fragmentsfalse：Do not return key fragmentsDefault false
          schema:
            type: boolean
            default: false
        - name: offset
          in: query
          required: false
          description: >-
            The zero-based offset indicating how many results to skip before
            returning. Defaults to 0. Use with the count parameter for
            pagination. There is no upper limit for offset; setting a large
            value may result in no results being returned.
          schema:
            type: integer
            default: 0
            minimum: 0
        - name: q
          in: query
          required: true
          description: The user's search query term, which cannot be empty.
          schema:
            type: string
            minLength: 1
        - name: sites
          in: query
          required: false
          description: >-
            The value must be in host address format (e.g.,
            baijiahao.baidu.com). Returns results only from the specified
            site(s).
          schema:
            type: string
      responses:
        '200':
          description: >-
            Official typed response table; required fields and undeclared array
            item types are not inferred.
          content:
            application/json:
              schema:
                type: object
                properties:
                  queryContext:
                    type: object
                    properties:
                      originalQuery:
                        type: string
                        description: The user's original search query
                  webPages:
                    type: object
                    properties:
                      value:
                        type: array
                        description: Detailed result data returned
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                              description: Webpage title
                            url:
                              type: string
                              description: Webpage URL
                            datePublished:
                              type: string
                              description: >-
                                Page publication time (included in some sites)
                                Example: 2025-07-14T01:15:00.0000000Z
                            snippet:
                              type: string
                              description: Text snippet describing the webpage content
                            mainText:
                              type: string
                              description: >-
                                Dynamic abstract fragment extracted from the
                                text, most relevant to the query. More
                                intelligent than snippet
                            siteName:
                              type: string
                              description: Website name (included in some webpages)
                            contentCrawled:
                              type: boolean
                              description: >-
                                Long abstract retrieval status: true for success
                                (content is included in content), false for
                                failure (content is empty)
                            content:
                              type: string
                              description: >-
                                Long abstract information of the webpage,
                                retrieved from the main text. MARKDOWN and HTML
                                formats include image links with anchor
                                positions
                            logo:
                              type: string
                              description: Website logo (included in some webpages)
                            imageList:
                              type: array
                              description: >-
                                List of image URLs in the webpage (included in
                                some webpages, depending on whether the page
                                contains images)
                            score:
                              type: number
                              description: Content relevance score
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.